[CentOS] Dependency problems with Yum update

Todd Cary todd at aristesoftware.com
Wed Mar 10 22:48:17 UTC 2010


These are the two commands I ran:

   966  gvim /etc/yum.repos.d/CentOS-Testing.repo
   967  yum --enablerepo=testing install ruby ruby-devel ruby-rdoc

Could that have created the problems I am having now with a yum update?

Todd

On 3/10/2010 1:29 PM, Augusto Trujillo wrote:
> You need tu run createrepo command again to index the database yum.
>
>
> El 10/03/2010 03:54 p.m., Craig White escribió:
>> On Wed, 2010-03-10 at 10:54 -0800, Todd Cary wrote:
>>    
>>> I am spoiled with Yum: never have had a dependency problem until today.
>>> Can this be resolved:
>>>
>>> --->  Downloading header for compat-openldap to pack into transaction set.
>>> compat-openldap-2.3.27_2. 100% |=========================|  30 kB    00:00
>>> --->  Package compat-openldap.i386 0:2.3.27_2.2.29-4.el4.centos set to be
>>> updated
>>> -->  Running transaction check
>>> -->  Processing Dependency: libmysqlclient.so.14(libmysqlclient_14) for
>>> package: dovecot
>>> -->  Processing Dependency: libmysqlclient.so.14 for package: perl-DBD-MySQL
>>> -->  Processing Dependency: libmysqlclient.so.14 for package: mod_auth_mysql
>>> -->  Processing Dependency: libmysqlclient_r.so.14 for package: MySQL-python
>>> -->  Processing Dependency: libmysqlclient_r.so.14(libmysqlclient_14) for
>>> package: MySQL-python
>>> -->  Processing Dependency: libmysqlclient.so.14 for package: dovecot
>>> -->  Finished Dependency Resolution
>>> Error: Missing Dependency: libmysqlclient_r.so.14 is needed by package
>>> MySQL-python
>>> Error: Missing Dependency: libmysqlclient.so.14(libmysqlclient_14) is
>>> needed by package dovecot
>>> Error: Missing Dependency: libmysqlclient.so.14 is needed by package dovecot
>>> Error: Missing Dependency: libmysqlclient.so.14 is needed by package
>>> perl-DBD-MySQL
>>> Error: Missing Dependency: libmysqlclient.so.14 is needed by package
>>> mod_auth_mysql
>>> Error: Missing Dependency: libmysqlclient_r.so.14(libmysqlclient_14) is
>>> needed by package MySQL-python
>>>
>>> Many thanks from a Linux user that knows just enough to keep it running...
>>>      
>> ----
>> sounds like it wants to replace libmysqlclient14 package which a lot of
>> packages seem to require.
>>
>> Just out of curiosity, why would you need compatibility with ancient
>> openldap libraries anyway?
>>
>> Craig
>>
>>
>>
>>    
>
>
> _______________________________________________
> CentOS mailing list
> CentOS at centos.org
> http://lists.centos.org/mailman/listinfo/centos
>    

-- 
Ariste Software
Petaluma, CA 94952

http://www.toddcary.com/aristephotography/

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.centos.org/pipermail/centos/attachments/20100310/b0a07be2/attachment.html 


More information about the CentOS mailing list